NI TestStand

cancel
Showing results for 
Search instead for 
Did you mean: 

Saving Model Plugins for Previous Versions of TestStand

Solved!
Go to solution

Hi there,

 

I just finished a ton of development and validation work on some custom model plugins for TestStand 2020. I'm about ready to release them to the rest of the team, and I naively thought that I could save these model plugins for previous versions of TestStand. Namely, we are using TS 2019,2017 and 2014 in various places in production. (Yes, we've been meaning to consolidate everything on one version, but that's another discussion.)

 

The problem I'm having is that, when saving the plugins for TestStand 2019, it seems to work, but the following types are version 20.0.0.166, as opposed to 19.0.0.103:

  • NI_ModelPlugin
  • NI_ModelPluginComponentDescription
  • NI_ModelPluginConfiguration
  • NI_ModelPluginConfigurationRuntimeVariables

I have compared these types between TestStand versions, and I see no differences other than version from TS2020 to TS2019.

I've attempted to manually set the versions of all of these to 19.0.0.103 and immediately save for previous to 2019. Unfortunately once I switch to TS2019 it refuses to open the model plugins due to types being 20.0.0.166. For some reason my attempts to manually set the versions of the types fails. It won't even let me open the files to diagnose the issue. (There really has to be a way to improve the workflow here such that it doesn't just flat out refuse to open the files?)

 

This seems really painful and I've been trying to work around it all day. What's the easiest way to proceed in saving these files for previous versions of TestStand?

 

Thanks,

 

Mr. Jim

0 Kudos
Message 1 of 2
(268 Views)
Solution
Accepted by topic author Mr._Jim

Alright, I answered my own question. Please pardon my frustration in the last post.

 

The answer is in this KB, I just didn't find it earlier.

https://knowledge.ni.com/KnowledgeArticleDetails?id=kA03q000000YQECCA4&l=en-US

 

  • I opened up TestStand 2020
  • For the four types aforementioned, I right clicked on each, one by one, and opened up the properties.
  • Under the "Version" tab, I checked / ticked "Set Earliest TestStand Version that can use this type"
  • I set the earliest version in the field below to 17.0.0.0, because I know from careful comparison that these types definitely work that far back.
  • I then immediately saved each model plugin sequence file for TestStand 2019.
  • I opened TestStand 2019 and opened each of the sequence files, which produced a type conflict resolution dialog. I selected "Use the currently loaded type" which for each was 19.0.0.103.
  • Each sequence file opened successfully, at which point I inspected the types for each to ensure that there weren't any 20.x.x.x types, fixing a couple of instances of these.

I hope this saves someone else from going through what I just did.

 

Mr. Jim

0 Kudos
Message 2 of 2
(261 Views)